# ModifiedMM

All the good stuff from [modifiedMM](https://git.coder.horse/meidomustard/modifiedMM) but with a new scene manager.

## Features

* A more visual focused UI
* Save both scenes and kankyo (backgrounds) to PNG files
* Create folders for simple grouping of scenes/kankyo
* No limits for number of scenes/kankyo (aside from available hard drive space)

## Installation

Grab the latest release over [here](https://git.coder.horse/habeebweeb/modifiedMM/releases)

Place `COM3D2.MultipleMaids.Plugin.dll` in your game's `Sybaris\UnityInjector` folder.

## Usage

Since the scene manager is a replacement for the save manager, it can be accessed through the same methods.

## First Run Conversion

Opening the scene manager for the first time will convert all your scenes and kankyo to png files and will put them in `COM3D2\Mod\MultipleMaidsScene` and `COM3D2\Mod\MultipleMaidsKankyo` respectively.

The conversion process will add this

```
[scenemanager]
converted=true
```

to your `MultipleMaids.ini` config file which is used only by the scene manager so that it does not run the conversion process again. The conversion process does not modify your ini in any other way.

### Example Scene

![Example Scene](img/example_scene.png)

### Example Kankyo

![Example Kankyo](img/example_kankyo.png)

## Converting PNG Scenes Back to an Ini

A converter and instructions on how to use it can be found over [here](https://github.com/habeebweeb/MultipleMaids.SceneSaveConverter/releases/latest). 

## Screenshots

![Scene Manager](img/Screeny.jpg)

![Scene Management](img/Screeny2.jpg)

![Kankyo Manager](img/Screeny3.jpg)
